import { html as c } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (p, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, l) : t, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (r ? o(t, l, e) : o(e)) || e);
  return r && e && g(t, l, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--alertTriangle", this.class = "c-pieIcon c-pieIcon--alertTriangle", this.name = "IconAlertTriangle";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--alertTriangle"><path d="M8.656 6.156H7.343v2.625h1.313V6.156Z"></path><path d="M8 11.406a.875.875 0 1 0 0-1.75.875.875 0 0 0 0 1.75Z"></path><path d="M13.407 13.813H2.592a1.496 1.496 0 0 1-1.33-.797 1.592 1.592 0 0 1 .044-1.61l5.407-8.662A1.505 1.505 0 0 1 8 2a1.505 1.505 0 0 1 1.286.726l5.407 8.68a1.594 1.594 0 0 1 0 1.628 1.496 1.496 0 0 1-1.286.778ZM8 3.313a.192.192 0 0 0-.175.104L2.417 12.09a.298.298 0 0 0 0 .297.202.202 0 0 0 .184.114h10.806a.201.201 0 0 0 .184-.114.297.297 0 0 0 0-.297L8.175 3.418A.193.193 0 0 0 8 3.312Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  f("icon-alert-triangle")
], s);
export {
  s as IconAlertTriangle
};
